Bug 6735 - Note about range isn't showing range
Summary: Note about range isn't showing range
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL: cgi-bin/koha/opac-detail.pl?biblionum...
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-16 19:13 UTC by Nicole C. Engard
Modified: 2014-12-07 20:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
example blank range (20.92 KB, image/png)
2011-08-16 19:13 UTC, Nicole C. Engard
Details
range dates displayed in OPAC (16.54 KB, image/png)
2012-02-19 15:47 UTC, Katrin Fischer
Details
Bug 9735 - Build the cookie array correctly (2.48 KB, patch)
2013-06-05 18:02 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-16 19:13:35 UTC
When in the OPAC on the subscriptions tab it lists 

"Subscription from: to: now (current)"

But there are no dates in the to and from for any of the records I've added.
Comment 1 Nicole C. Engard 2011-08-16 19:13:58 UTC
Created attachment 5037 [details]
example blank range
Comment 2 Katrin Fischer 2012-02-19 15:47:15 UTC
Created attachment 7760 [details]
range dates displayed in OPAC

The start and end date are pulled from the subscription history. If you have filled in those fields the display works nicely. This is not ideal, but works as it's supposed to work right now.
Comment 3 Nicole C. Engard 2012-05-18 12:25:05 UTC
Wait,

You're saying we need to do this manually?  I'm reopening this and marking it as an enhancement instead because all these years and I never realized that there was a work-around - but work-arounds aren't ideal.

Nicole
Comment 4 Nicole C. Engard 2012-05-18 12:26:12 UTC
PS. I'd say that even a way to hide that section if it's not filled in manually would be better than the way it is now.
Comment 5 Katrin Fischer 2012-05-18 12:30:45 UTC
I think hiding it if there is no start date provided would make sense.
Comment 6 Tomás Cohen Arazi 2013-06-05 18:02:30 UTC Comment hidden (obsolete)
Comment 7 Tomás Cohen Arazi 2013-06-05 18:04:06 UTC
Comment on attachment 18684 [details] [review]
Bug 9735 - Build the cookie array correctly

Typo error in my git bz command... this doesn't belong here.
Comment 8 Katrin Fischer 2014-03-27 06:07:23 UTC
History start and end date are now set automatically, closing this.